#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	int a,b,c,d,f,g,n;
	cin >> n;
	for(int i=0; i<n; i++)
	{
		cin >> a;
		for(int z=0; z<2; z++)
		{
			for(int j = 0; j<a; j++)
			{
				cin >> f;
			}
		}
	}
	for(int i = 0; i<n; i++)
	{
		cout << "NE" << endl;
	}
	return 0;
}